Bug 500360 (CVE-2009-1579) - CVE-2009-1579 SquirrelMail: Server-side code injection in map_yp_alias username map
Summary: CVE-2009-1579 SquirrelMail: Server-side code injection in map_yp_alias userna...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1579
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://www.squirrelmail.org/security/...
Whiteboard:
Depends On: 500790 500791 500792 500793 500794 833981
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-05-12 12:43 UTC by Jan Lieskovsky
Modified: 2019-09-29 12:30 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-05-26 17:48:10 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1066 normal SHIPPED_LIVE Important: squirrelmail security update 2009-05-26 17:31:13 UTC

Description Jan Lieskovsky 2009-05-12 12:43:04 UTC
From SquirrelMail vulnerability report:

An issue was fixed that allowed arbitrary server-side code execution when SquirrelMail was configured to use the example "map_yp_alias" username mapping functionality.

Credits: Niels Teusink

Updated upstream patch (2009-05-21):
http://squirrelmail.svn.sourceforge.net/viewvc/squirrelmail/branches/SM-1_4-STABLE/squirrelmail/functions/imap_general.php?r1=13549&r2=13733&view=patch

Comment 1 Fedora Update System 2009-05-12 13:07:22 UTC
squirrelmail-1.4.18-1.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/squirrelmail-1.4.18-1.fc9

Comment 2 Fedora Update System 2009-05-13 00:20:50 UTC
squirrelmail-1.4.18-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2009-05-13 00:22:25 UTC
squirrelmail-1.4.18-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2009-05-13 00:23:41 UTC
squirrelmail-1.4.18-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Jan Lieskovsky 2009-05-14 18:05:59 UTC
CVE-2009-1579:

The map_yp_alias function in functions/imap_general.php in
SquirrelMail before 1.4.18 allows remote attackers to execute
arbitrary commands via shell metacharacters in a username string that
is used by the ypmatch program.

Comment 8 Jan Lieskovsky 2009-05-21 18:08:48 UTC
CVE-2009-1381 (incomplete upstream fix for CVE-2009-1579) now public:

http://www.squirrelmail.org/security/issue/2009-05-10

Comment 9 errata-xmlrpc 2009-05-26 17:31:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3
  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1066 https://rhn.redhat.com/errata/RHSA-2009-1066.html


Note You need to log in before you can comment on or make changes to this bug.